GLI 0.5.1

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | List of all members
texture1D Class Reference

## Public Types
typedef storage::dimensions1_type | dimensions_type
typedef storage::format_type | format_type
typedef storage::size_type | size_type
typedef storage::texcoord1_type | texcoord_type

## Public Member Functions
size_type | baseFace () const
size_type | baseLayer () const
size_type | baseLevel () const
void | clear ()
template<typename genType >
void | clear (genType const &Texel)
void * | data ()
void const * | data () const
template<typename genType >
genType * | data ()
template<typename genType >
genType const * | data () const
dimensions_type | dimensions () const
bool | empty () const
size_type | faces () const
format_type | format () const
size_type | layers () const
size_type | levels () const
size_type | maxFace () const
size_type | maxLayer () const
size_type | maxLevel () const
| operator storage () const
image | operator[] (size_type const &Level) const
size_type | size () const
template<typename genType >
size_type | size () const
| texture1D ()
| texture1D (size_type const &Levels, format_type const &Format, dimensions_type const &Dimensions)
| texture1D (format_type const &Format, dimensions_type const &Dimensions)
| texture1D (storage const &Storage)
| texture1D (storage const &Storage, format_type const &Format, size_type BaseLayer, size_type MaxLayer, size_type BaseFace, size_type MaxFace, size_type BaseLevel, size_type MaxLevel)
| texture1D (texture1D const &Texture, size_type const &BaseLevel, size_type const &MaxLevel)
| texture1D (texture1DArray const &Texture, size_type const &BaseLayer, size_type const &BaseLevel, size_type const &MaxLevel)

## Detailed Description

Definition at line 38 of file texture1d.hpp.

## Member Typedef Documentation

typedef storage::dimensions1_type dimensions_type

Definition at line 41 of file texture1d.hpp.

typedef storage::format_type format_type

Definition at line 44 of file texture1d.hpp.

typedef storage::size_type size_type

Definition at line 43 of file texture1d.hpp.

typedef storage::texcoord1_type texcoord_type

Definition at line 42 of file texture1d.hpp.

## Constructor & Destructor Documentation

texture1D | ( |  | ) |

texture1D | ( | size_type const & | Levels,
|  | format_type const & | Format,
|  | dimensions_type const & | Dimensions
| ) |  |
| explicit

Create a texture1D and allocate a new storage.

texture1D | ( | format_type const & | Format,
|  | dimensions_type const & | Dimensions
| ) |  |
| explicit

Create a texture1D and allocate a new storage with a complete mipmap chain.

texture1D | ( | storage const & | Storage | ) |
| explicit

Create a texture1D view with an existing storage.

texture1D | ( | storage const & | Storage,
|  | format_type const & | Format,
|  | size_type | BaseLayer,
|  | size_type | MaxLayer,
|  | size_type | BaseFace,
|  | size_type | MaxFace,
|  | size_type | BaseLevel,
|  | size_type | MaxLevel
| ) |  |
| explicit

Create a texture1D view with an existing storage.

texture1D | ( | texture1D const & | Texture,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a texture1D view, reference a subset of an existing texture1D instance.

texture1D | ( | texture1DArray const & | Texture,
|  | size_type const & | BaseLayer,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a texture1D view, reference a subset of an existing texture1DArray instance.

## Member Function Documentation

size_type baseFace | ( |  | ) | const

size_type baseLayer | ( |  | ) | const

size_type baseLevel | ( |  | ) | const

void clear | ( |  | ) |

void clear | ( | genType const & | Texel | ) |

void* data | ( |  | ) |

void const* data | ( |  | ) | const

genType* data | ( |  | ) |

genType const* data | ( |  | ) | const

dimensions_type dimensions | ( |  | ) | const

bool empty | ( |  | ) | const

size_type faces | ( |  | ) | const

format_type format | ( |  | ) | const

size_type layers | ( |  | ) | const

size_type levels | ( |  | ) | const

size_type maxFace | ( |  | ) | const

size_type maxLayer | ( |  | ) | const

size_type maxLevel | ( |  | ) | const

operator storage | ( |  | ) | const

image operator[] | ( | size_type const & | Level | ) | const

size_type size | ( |  | ) | const

size_type size | ( |  | ) | const